{"models":[{"endpoint_id":"fal-ai/pixverse/v4/image-to-video/fast","metadata":{"display_name":"PixVerse V4 Image To Video Fast","category":"image-to-video","description":"Generate fast high quality video clips from text and image prompts using PixVerse v4","status":"active","tags":[],"updated_at":"2026-06-17T18:20:01.178Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/gallery/pixverse-v3.5.webp","model_url":"https://fal.run/fal-ai/pixverse/v4/image-to-video/fast","license_type":"commercial","date":"2025-04-01T02:56:53.842Z","group":{"key":"pixverse","label":"Image to Video v4 (Fast)"},"highlighted":false,"kind":"inference","duration_estimate":1,"pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/pixverse/v4/image-to-video/fast","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/pixverse/v4/image-to-video/fast queue.","x-fal-metadata":{"endpointId":"fal-ai/pixverse/v4/image-to-video/fast","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/gallery/pixverse-v3.5.webp","playgroundUrl":"https://fal.ai/models/fal-ai/pixverse/v4/image-to-video/fast","documentationUrl":"https://fal.ai/models/fal-ai/pixverse/v4/image-to-video/fast/api","about":"Image To Video Fast V4"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"PixverseV4ImageToVideoFastInput":{"title":"FastImageToVideoRequestV4","properties":{"style":{"title":"Style","anyOf":[{"enum":["anime","3d_animation","clay","comic","cyberpunk"],"type":"string"},{"type":"null"}],"description":"The style of the generated video"},"camera_movement":{"title":"Camera Movement","anyOf":[{"enum":["horizontal_left","horizontal_right","vertical_up","vertical_down","zoom_in","zoom_out","crane_up","quickly_zoom_in","quickly_zoom_out","smooth_zoom_in","camera_rotation","robo_arm","super_dolly_out","whip_pan","hitchcock","left_follow","right_follow","pan_left","pan_right","fix_bg"],"type":"string"},{"type":"null"}],"description":"The type of camera movement to apply to the video"},"prompt":{"description":"Text prompt for the video generation. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap.","title":"Prompt","type":"string","examples":["A woman warrior with her hammer walking with his glacier wolf."]},"image_url":{"description":"URL of the image to use as the first frame","title":"Image Url","type":"string","examples":["https://v3.fal.media/files/zebra/qL93Je8ezvzQgDOEzTjKF_KhGKZTEebZcDw6T5rwQPK_output.png"]},"negative_prompt":{"default":"","description":"Negative prompt to be used for the generation. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap.","title":"Negative Prompt","type":"string","examples":["blurry, low quality, low resolution, pixelated, noisy, grainy, out of focus, poorly lit, poorly exposed, poorly composed, poorly framed, poorly cropped, poorly color corrected, poorly color graded"]},"seed":{"title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}],"description":"\n            The same seed and the same prompt given to the same version of the model\n            will output the same video every time.\n        "},"resolution":{"default":"720p","title":"Resolution","enum":["360p","540p","720p"],"type":"string","description":"The resolution of the generated video"}},"required":["prompt","image_url"],"type":"object","x-fal-order-properties":["prompt","resolution","negative_prompt","style","seed","image_url","camera_movement"]},"PixverseV4ImageToVideoFastOutput":{"title":"I2VOutputV4","properties":{"video":{"$ref":"#/components/schemas/File","examples":[{"content_type":"video/mp4","file_size":6420765,"url":"https://fal.media/files/koala/HEWK7BBwqWrz7F5nAZzp7_output.mp4","file_name":"output.mp4"}],"description":"The generated video"}},"required":["video"],"type":"object","x-fal-order-properties":["video"]},"File":{"title":"File","properties":{"content_type":{"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"description":"The mime type of the file."},"file_size":{"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"description":"The size of the file in bytes."},"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"file_name":{"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided."}},"required":["url"],"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"]}}},"paths":{"/fal-ai/pixverse/v4/image-to-video/fast/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v4/image-to-video/fast/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/pixverse/v4/image-to-video/fast":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV4ImageToVideoFastInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v4/image-to-video/fast/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV4ImageToVideoFastOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/pixverse/v3.5/image-to-video/fast","metadata":{"display_name":"PixVerse V3.5 Image To Video Fast","category":"image-to-video","description":"Generate high quality video clips from text and image prompts quickly using PixVerse v3.5 Fast","status":"active","tags":[],"updated_at":"2026-06-17T18:20:01.178Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/gallery/pixverse-v3.5.webp","model_url":"https://fal.run/fal-ai/pixverse/v3.5/image-to-video/fast","license_type":"commercial","date":"2025-01-29T00:00:00.000Z","group":{"key":"pixverse","label":"Image to Video (Fast)"},"highlighted":false,"kind":"inference","duration_estimate":1,"pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/pixverse/v3.5/image-to-video/fast","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/pixverse/v3.5/image-to-video/fast queue.","x-fal-metadata":{"endpointId":"fal-ai/pixverse/v3.5/image-to-video/fast","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/gallery/pixverse-v3.5.webp","playgroundUrl":"https://fal.ai/models/fal-ai/pixverse/v3.5/image-to-video/fast","documentationUrl":"https://fal.ai/models/fal-ai/pixverse/v3.5/image-to-video/fast/api","about":"Image To Video Fast"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"PixverseV35ImageToVideoFastInput":{"title":"FastImageToVideoRequest","properties":{"style":{"title":"Style","anyOf":[{"enum":["anime","3d_animation","clay","comic","cyberpunk"],"type":"string"},{"type":"null"}],"description":"The style of the generated video"},"image_url":{"description":"URL of the image to use as the first frame","title":"Image Url","type":"string","examples":["https://storage.googleapis.com/falserverless/model_tests/wan/dragon-warrior.jpg"]},"prompt":{"description":"Text prompt for the video generation. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap.","title":"Prompt","type":"string","examples":["A stylish woman walks down a Tokyo street filled with warm glowing neon and animated city signage."]},"seed":{"title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}],"description":"\n            The same seed and the same prompt given to the same version of the model\n            will output the same video every time.\n        "},"negative_prompt":{"default":"","description":"Negative prompt to be used for the generation. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap.","title":"Negative Prompt","type":"string","examples":["blurry, low quality, low resolution, pixelated, noisy, grainy, out of focus, poorly lit, poorly exposed, poorly composed, poorly framed, poorly cropped, poorly color corrected, poorly color graded"]},"resolution":{"default":"720p","title":"Resolution","enum":["360p","540p","720p"],"type":"string","description":"The resolution of the generated video"}},"required":["prompt","image_url"],"type":"object","x-fal-order-properties":["prompt","resolution","negative_prompt","style","seed","image_url"]},"PixverseV35ImageToVideoFastOutput":{"title":"I2VOutput","properties":{"video":{"$ref":"#/components/schemas/File","examples":[{"content_type":"video/mp4","file_size":4060052,"url":"https://fal.media/files/tiger/8V9H8RLyFiWjmJDOxGbcG_output.mp4","file_name":"output.mp4"}],"description":"The generated video"}},"required":["video"],"type":"object","x-fal-order-properties":["video"]},"File":{"title":"File","properties":{"content_type":{"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"description":"The mime type of the file."},"file_size":{"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"description":"The size of the file in bytes."},"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"file_name":{"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided."}},"required":["url"],"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"]}}},"paths":{"/fal-ai/pixverse/v3.5/image-to-video/fast/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v3.5/image-to-video/fast/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/pixverse/v3.5/image-to-video/fast":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV35ImageToVideoFastInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v3.5/image-to-video/fast/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV35ImageToVideoFastOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/pixverse/v3.5/effects","metadata":{"display_name":"PixVerse V3.5 Effects","category":"image-to-video","description":"Generate high quality video clips with different effects using PixVerse v3.5","status":"active","tags":[],"updated_at":"2026-06-17T18:20:01.178Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/gallery/pixverse-v3.5.webp","model_url":"https://fal.run/fal-ai/pixverse/v3.5/effects","license_type":"commercial","date":"2025-04-01T02:53:00.990Z","group":{"key":"pixverse","label":"Effects"},"highlighted":false,"kind":"inference","duration_estimate":1,"pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/pixverse/v3.5/effects","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/pixverse/v3.5/effects queue.","x-fal-metadata":{"endpointId":"fal-ai/pixverse/v3.5/effects","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/gallery/pixverse-v3.5.webp","playgroundUrl":"https://fal.ai/models/fal-ai/pixverse/v3.5/effects","documentationUrl":"https://fal.ai/models/fal-ai/pixverse/v3.5/effects/api","about":"Create Effect Video"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"PixverseV35EffectsInput":{"title":"EffectInput","properties":{"effect":{"title":"Effect","enum":["Kiss Me AI","Kiss","Muscle Surge","Warmth of Jesus","Anything, Robot","The Tiger Touch","Hug","Holy Wings","Microwave","Zombie Mode","Squid Game","Baby Face","Black Myth: Wukong","Long Hair Magic","Leggy Run","Fin-tastic Mermaid","Punch Face","Creepy Devil Smile","Thunder God","Eye Zoom Challenge","Who's Arrested?","Baby Arrived","Werewolf Rage","Bald Swipe","BOOM DROP","Huge Cutie","Liquid Metal","Sharksnap!","Dust Me Away","3D Figurine Factor","Bikini Up","My Girlfriends","My Boyfriends","Subject 3 Fever","Earth Zoom","Pole Dance","Vroom Dance","GhostFace Terror","Dragon Evoker","Skeletal Bae","Summoning succubus","Halloween Voodoo Doll","3D Naked-Eye AD","Package Explosion","Dishes Served","Ocean ad","Supermarket AD","Tree doll","Come Feel My Abs","The Bicep Flex","London Elite Vibe","Flora Nymph Gown","Christmas Costume","It's Snowy","Reindeer Cruiser","Snow Globe Maker","Pet Christmas Outfit","Adopt a Polar Pal","Cat Christmas Box","Starlight Gift Box","Xmas Poster","Pet Christmas Tree","City Santa Hat","Stocking Sweetie","Christmas Night","Xmas Front Page Karma","Grinch's Xmas Hijack","Giant Product","Truck Fashion Shoot","Beach AD","Shoal Surround","Mechanical Assembly","Lighting AD","Billboard AD","Product close-up","Parachute Delivery","Dreamlike Cloud","Macaron Machine","Poster AD","Truck AD","Graffiti AD","3D Figurine Factory","The Exclusive First Class","Art Zoom Challenge","I Quit","Hitchcock Dolly Zoom","Smell the Lens","I believe I can fly","Strikout Dance","Courtside Cam","Pit Crew Moment","K-Baseball Sprint","Toddler Doodle","Idol Ending","Apex Dance","OmniHero Forge","Palm Decode","The Age Ripple","My Future Is Limitless","Knee Slide","Epic Goal Save","Sideline Ball Boy","Cup Celebration","Victory Roar","Vuvuzela Fan","World Champion Lift","Tunnel to Captain","Liquid Soccer Morph","Jump Into Crowd 2","Golden Pitch Crasher","Stadium Fan Cam","Broadcast Moto GP","The Grotesque Clay","Rookie Star Card","The Final Hug","Sharp Post-Match Comment","Street Maverick","Pitch Legend","One Step At A Time","Birthday Mirror","Superstar Lobby","Final Battle Room","Top of the World","Mini Me Unboxed","WonderPOP Surprise","White Chicks","Kiss me","What a Day","The Last Leap at Sunset","Tiny Sticker Chef Chaos","Mini Squeeze Toy","Tearful Gunman","Street Fashion Caricature","Mini Me Makeover","Street Art Awakening","Hug Together","ACAI dance Duet","PUBG Winner Hit!","Blocky Mini-Me","Cheat Day Busted","MiniSocial Recharge","My Little Perler Charm","Where did this cobweb come from?","Holy Beast Summoning Technique","IT'S THE FIRST OF THE MONTH","Pet Editorial","Three lifetime bond","Pixel World","Mint in Box","Hands up, Hand","Flora Nymph Go","Somber Embrace","Beam me up","Suit Swagger"],"type":"string","description":"The effect to apply to the video"},"image_url":{"description":"Optional URL of the image to use as the first frame. If not provided, generates from text","examples":["https://v3.fal.media/files/koala/q5ahL3KS7ikt3MvpNUG8l_image%20(72).webp"],"title":"Image Url","type":"string"},"negative_prompt":{"default":"","title":"Negative Prompt","type":"string","description":"Negative prompt to be used for the generation. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap."},"duration":{"default":"5","title":"Duration","enum":["5","8"],"type":"string","description":"The duration of the generated video in seconds"},"resolution":{"default":"720p","title":"Resolution","enum":["360p","540p","720p","1080p"],"type":"string","description":"The resolution of the generated video."}},"required":["effect","image_url"],"type":"object","x-fal-order-properties":["effect","image_url","resolution","duration","negative_prompt"]},"PixverseV35EffectsOutput":{"title":"EffectOutput","properties":{"video":{"$ref":"#/components/schemas/File","examples":[{"content_type":"video/mp4","file_size":3232402,"url":"https://fal.media/files/koala/awGY1lJd7lVsqQeSqjWqn_output.mp4","file_name":"output.mp4"}],"description":"The generated video"}},"required":["video"],"type":"object","x-fal-order-properties":["video"]},"File":{"title":"File","properties":{"content_type":{"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"description":"The mime type of the file."},"file_size":{"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"description":"The size of the file in bytes."},"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"file_name":{"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided."}},"required":["url"],"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"]}}},"paths":{"/fal-ai/pixverse/v3.5/effects/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v3.5/effects/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/pixverse/v3.5/effects":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV35EffectsInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v3.5/effects/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV35EffectsOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/ltx-2-19b/distilled/image-to-video/lora","metadata":{"display_name":"LTX-2 19B Distilled","category":"image-to-video","description":"Generate video with audio from images using LTX-2 Distilled and custom LoRA","status":"active","tags":[],"updated_at":"2026-07-13T19:05:24.786Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a8936e5/-h8aDgobm8qIgSCkOXrcN_6f4888dc7dee4cc9a61ba27199f64c9a.jpg","model_url":"https://fal.run/fal-ai/ltx-2-19b/distilled/image-to-video/lora","license_type":"commercial","date":"2026-01-05T21:02:29.284Z","group":{"key":"ltx-2-19b-distilled","label":"Image to Video with LoRA"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/ltx-2-19b/distilled/image-to-video/lora","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/ltx-2-19b/distilled/image-to-video/lora queue.","x-fal-metadata":{"endpointId":"fal-ai/ltx-2-19b/distilled/image-to-video/lora","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a8936e5/-h8aDgobm8qIgSCkOXrcN_6f4888dc7dee4cc9a61ba27199f64c9a.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/ltx-2-19b/distilled/image-to-video/lora","documentationUrl":"https://fal.ai/models/fal-ai/ltx-2-19b/distilled/image-to-video/lora/api","about":"Generate a video from an image and text prompt using distilled LoRA."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Ltx219bDistilledImageToVideoLoraInput":{"required":["loras","prompt","image_url"],"type":"object","title":"LTX2LoRADistilledImageToVideoInput","properties":{"generate_audio":{"description":"Whether to generate audio for the video.","type":"boolean","title":"Generate Audio","default":true},"prompt":{"examples":["A woman stands still amid a busy neon-lit street at night. The camera slowly dollies in toward her face as people blur past, their motion emphasizing her calm presence. City lights flicker and reflections shift across her denim jacket."],"type":"string","title":"Prompt","description":"The prompt used for the generation."},"num_frames":{"maximum":481,"description":"The number of frames to generate.","type":"integer","title":"Number of Frames","default":121,"minimum":9},"video_size":{"description":"The size of the generated video.","anyOf":[{"$ref":"#/components/schemas/ImageSize"},{"enum":["auto","square_hd","square","portrait_4_3","portrait_16_9","landscape_4_3","landscape_16_9"],"type":"string"}],"title":"Video Size","default":"auto"},"loras":{"items":{"$ref":"#/components/schemas/LoRAInput"},"type":"array","title":"LoRAs","description":"The LoRAs to use for the generation."},"video_write_mode":{"enum":["fast","balanced","small"],"type":"string","title":"Video Write Mode","default":"balanced","description":"The write mode of the generated video."},"camera_lora_scale":{"maximum":1,"description":"The scale of the camera LoRA to use. This allows you to control the camera movement of the generated video more accurately than just prompting the model to move the camera.","type":"number","title":"Camera LoRA Scale","default":1,"minimum":0},"interpolation_direction":{"enum":["forward","backward"],"description":"The direction to interpolate the image sequence in. 'Forward' goes from the start image to the end image, 'Backward' goes from the end image to the start image.","type":"string","title":"Interpolation Direction","default":"forward"},"negative_prompt":{"type":"string","title":"Negative Prompt","default":"blurry, out of focus, overexposed, underexposed, low contrast, washed out colors, excessive noise, grainy texture, poor lighting, flickering, motion blur, distorted proportions, unnatural skin tones, deformed facial features, asymmetrical face, missing facial features, extra limbs, disfigured hands, wrong hand count, artifacts around text, inconsistent perspective, camera shake, incorrect depth of field, background too sharp, background clutter, distracting reflections, harsh shadows, inconsistent lighting direction, color banding, cartoonish rendering, 3D CGI look, unrealistic materials, uncanny valley effect, incorrect ethnicity, wrong gender, exaggerated expressions, wrong gaze direction, mismatched lip sync, silent or muted audio, distorted voice, robotic voice, echo, background noise, off-sync audio,incorrect dialogue, added dialogue, repetitive speech, jittery movement, awkward pauses, incorrect timing, unnatural transitions, inconsistent framing, tilted camera, flat lighting, inconsistent tone, cinematic oversaturation, stylized filters, or AI artifacts.","description":"The negative prompt to generate the video from."},"fps":{"maximum":60,"description":"The frames per second of the generated video.","type":"number","title":"FPS","default":25,"minimum":1},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Seed","description":"The seed for the random number generator."},"video_output_type":{"enum":["X264 (.mp4)","VP9 (.webm)","PRORES4444 (.mov)","GIF (.gif)"],"type":"string","title":"Video Output Type","default":"X264 (.mp4)","description":"The output type of the generated video."},"acceleration":{"enum":["none","regular","high","full"],"examples":["none"],"type":"string","title":"Acceleration","default":"none","description":"The acceleration level to use."},"end_image_strength":{"maximum":1,"description":"The strength of the end image to use for the video generation.","type":"number","title":"End Image Strength","default":1,"minimum":0},"use_multiscale":{"description":"Whether to use multi-scale generation. If True, the model will generate the video at a smaller scale first, then use the smaller video to guide the generation of a video at or above your requested size. This results in better coherence and details.","type":"boolean","title":"Use Multi-Scale","default":true},"enable_safety_checker":{"type":"boolean","title":"Enable Safety Checker","default":true,"description":"Whether to enable the safety checker."},"image_url":{"examples":["https://storage.googleapis.com/falserverless/example_inputs/ltxv-2-i2v-input.jpg"],"type":"string","title":"Image URL","description":"The URL of the image to generate the video from."},"camera_lora":{"enum":["dolly_in","dolly_out","dolly_left","dolly_right","jib_up","jib_down","static","none"],"examples":["none"],"type":"string","title":"Camera LoRA","default":"none","description":"The camera LoRA to use. This allows you to control the camera movement of the generated video more accurately than just prompting the model to move the camera."},"video_quality":{"enum":["low","medium","high","maximum"],"type":"string","title":"Video Quality","default":"high","description":"The quality of the generated video."},"image_strength":{"maximum":1,"description":"The strength of the image to use for the video generation.","type":"number","title":"Image Strength","default":1,"minimum":0},"end_image_url":{"description":"The URL of the image to use as the end of the video.","anyOf":[{"type":"string"},{"type":"null"}],"title":"End Image URL"},"enable_prompt_expansion":{"type":"boolean","title":"Enable Prompt Expansion","default":true,"description":"Whether to enable prompt expansion."},"sync_mode":{"type":"boolean","title":"Sync Mode","default":false,"description":"If `True`, the media will be returned as a data URI and the output data won't be available in the request history."}},"x-fal-order-properties":["prompt","image_url","end_image_url","num_frames","video_size","generate_audio","use_multiscale","fps","acceleration","camera_lora","camera_lora_scale","negative_prompt","seed","enable_prompt_expansion","enable_safety_checker","video_output_type","video_quality","video_write_mode","sync_mode","loras","interpolation_direction","image_strength","end_image_strength"]},"Ltx219bDistilledImageToVideoLoraOutput":{"required":["video","seed","prompt"],"type":"object","title":"LTX2ImageToVideoOutput","properties":{"prompt":{"examples":["Continue the scene naturally, maintaining the same style and motion."],"type":"string","title":"Prompt","description":"The prompt used for the generation."},"video":{"examples":[{"file_name":"CJcQGDrxOSRg2YFl5GNDt_glXPMoji.mp4","url":"https://v3b.fal.media/files/b/0a88289e/CJcQGDrxOSRg2YFl5GNDt_glXPMoji.mp4","content_type":"video/mp4","num_frames":257,"duration":10.28,"fps":25,"width":1248,"height":704}],"$ref":"#/components/schemas/VideoFile","description":"The generated video."},"seed":{"examples":[866232447],"type":"integer","title":"Seed","description":"The seed used for the random number generator."}},"x-fal-order-properties":["video","seed","prompt"]},"ImageSize":{"type":"object","title":"ImageSize","properties":{"width":{"maximum":14142,"description":"The width of the generated image.","type":"integer","title":"Width","default":512,"exclusiveMinimum":0},"height":{"maximum":14142,"description":"The height of the generated image.","type":"integer","title":"Height","default":512,"exclusiveMinimum":0}},"x-fal-order-properties":["width","height"]},"LoRAInput":{"description":"LoRA weight configuration.","required":["path"],"type":"object","title":"LoRAInput","properties":{"weight_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Weight Name","description":"Name of the LoRA weight. Only used if `path` is a HuggingFace repository, and is only required when the repository contains multiple LoRA weights."},"path":{"type":"string","title":"Path","description":"URL, HuggingFace repo ID (owner/repo) to lora weights."},"scale":{"maximum":4,"description":"Scale factor for LoRA application (0.0 to 4.0).","type":"number","title":"Scale","default":1,"minimum":0}},"x-fal-order-properties":["path","weight_name","scale"]},"VideoFile":{"required":["url"],"type":"object","title":"VideoFile","properties":{"file_name":{"examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}],"title":"File Name","description":"The name of the file. It will be auto-generated if not provided."},"url":{"type":"string","title":"Url","description":"The URL where the file can be downloaded from."},"content_type":{"examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}],"title":"Content Type","description":"The mime type of the file."},"num_frames":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Num Frames","description":"The number of frames in the video"},"file_size":{"examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}],"title":"File Size","description":"The size of the file in bytes."},"duration":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Duration","description":"The duration of the video"},"width":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Width","description":"The width of the video"},"fps":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Fps","description":"The FPS of the video"},"height":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Height","description":"The height of the video"}},"x-fal-order-properties":["url","content_type","file_name","file_size","width","height","fps","duration","num_frames"]}}},"paths":{"/fal-ai/ltx-2-19b/distilled/image-to-video/lora/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-2-19b/distilled/image-to-video/lora/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/ltx-2-19b/distilled/image-to-video/lora":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx219bDistilledImageToVideoLoraInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-2-19b/distilled/image-to-video/lora/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx219bDistilledImageToVideoLoraOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/ai-avatar/multi-text","metadata":{"display_name":"AI Avatar Multi Text","category":"image-to-video","description":"MultiTalk model generates a multi-person conversation video from an image and text inputs. Converts text to speech for each person, generating a realistic conversation scene.","status":"active","tags":["stylized","transform"],"updated_at":"2026-04-21T17:44:01.843Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/fal/Sound.jpg","model_url":"https://fal.run/fal-ai/ai-avatar/multi-text","license_type":"commercial","date":"2025-06-23T16:34:48.424Z","group":{"key":"Ai-Avatar","label":"Multi TTS"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/ai-avatar/multi-text","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/ai-avatar/multi-text queue.","x-fal-metadata":{"endpointId":"fal-ai/ai-avatar/multi-text","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/fal_cdn/fal/Sound.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/ai-avatar/multi-text","documentationUrl":"https://fal.ai/models/fal-ai/ai-avatar/multi-text/api","about":"MultiTalk model generates a two-person talking avatar video from an image\nand two text prompts."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"AiAvatarMultiTextInput":{"properties":{"image_url":{"title":"Image URL","description":"URL of the input image. If the input image does not match the chosen aspect ratio, it is resized and center cropped.","examples":["https://v3.fal.media/files/koala/vhkIF86hmgNTBll_lF1xI_3c7476642b19435aa763fe3b49cf99c7.png"],"type":"string"},"prompt":{"title":"Prompt","description":"The text prompt to guide video generation.","examples":["Two kids talking on a lunch."],"type":"string"},"acceleration":{"enum":["none","regular","high"],"title":"Acceleration","default":"regular","description":"The acceleration level to use for generation.","type":"string"},"voice2":{"enum":["Aria","Roger","Sarah","Laura","Charlie","George","Callum","River","Liam","Charlotte","Alice","Matilda","Will","Jessica","Eric","Chris","Brian","Daniel","Lily","Bill"],"title":"Voice2","default":"Roger","description":"The second person's voice to use for speech generation","type":"string"},"first_text_input":{"title":"First Text Input","description":"The text input to guide video generation.","examples":["Do you know what are we eating?"],"type":"string"},"num_frames":{"title":"Number of Frames","default":191,"description":"Number of frames to generate. Must be between 81 to 129 (inclusive). If the number of frames is greater than 81, the video will be generated with 1.25x more billing units.","type":"integer","maximum":241,"minimum":41},"voice1":{"enum":["Aria","Roger","Sarah","Laura","Charlie","George","Callum","River","Liam","Charlotte","Alice","Matilda","Will","Jessica","Eric","Chris","Brian","Daniel","Lily","Bill"],"title":"Voice1","default":"Sarah","description":"The first person's voice to use for speech generation","type":"string"},"seed":{"title":"Seed","default":81,"description":"Random seed for reproducibility. If None, a random seed is chosen.","type":"integer","maximum":4294967295,"minimum":0},"resolution":{"enum":["480p","720p"],"title":"Resolution","default":"480p","description":"Resolution of the video to generate. Must be either 480p or 720p.","type":"string"},"second_text_input":{"title":"Second Text Input","description":"The text input to guide video generation.","examples":["I dont know I am eating this because our mother gave it to us. I think it is something called milky pie."],"type":"string"}},"title":"AvatarMultiTextRequest","required":["image_url","first_text_input","second_text_input","prompt"],"type":"object","x-fal-order-properties":["image_url","first_text_input","second_text_input","voice1","voice2","prompt","num_frames","resolution","seed","acceleration"]},"AiAvatarMultiTextOutput":{"properties":{"seed":{"title":"Seed","description":"The seed used for generation.","type":"integer"},"video":{"$ref":"#/components/schemas/File","description":"The generated video file.","examples":[{"url":"https://v3.fal.media/files/zebra/lKMkUvzCqKn-gHC0vyUPP_30b76b90c2164f9a926527497c20832b.mp4","file_name":"30b76b90c2164f9a926527497c20832b.mp4","file_size":352679,"content_type":"application/octet-stream"}]}},"title":"AvatarMultiTextResponse","required":["video","seed"],"type":"object","x-fal-order-properties":["video","seed"]},"File":{"properties":{"url":{"title":"Url","description":"The URL where the file can be downloaded from.","type":"string"},"file_name":{"title":"File Name","description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}]},"file_size":{"title":"File Size","description":"The size of the file in bytes.","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}]},"content_type":{"title":"Content Type","description":"The mime type of the file.","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}]}},"title":"File","required":["url"],"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"]}}},"paths":{"/fal-ai/ai-avatar/multi-text/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ai-avatar/multi-text/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/ai-avatar/multi-text":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AiAvatarMultiTextInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ai-avatar/multi-text/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AiAvatarMultiTextOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/ltx-2.3-22b/image-to-video/lora","metadata":{"display_name":"LTX-2.3 22B","category":"image-to-video","description":"Generate video with audio from images using LTX-2.3 and custom LoRA","status":"active","tags":[],"updated_at":"2026-07-13T19:05:24.786Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9289ce/XPxxPt7YTRFqdahRCUEa1__tmp_b057-chro-origami-cran.jpg","model_url":"https://fal.run/fal-ai/ltx-2.3-22b/image-to-video/lora","license_type":"commercial","date":"2026-03-14T02:19:28.358Z","group":{"key":"ltx-2.3-22b","label":"Image to Video with LoRA"},"highlighted":false,"kind":"inference","pinned":false,"training_endpoint_ids":["fal-ai/ltx23-video-trainer"]},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/ltx-2.3-22b/image-to-video/lora","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/ltx-2.3-22b/image-to-video/lora queue.","x-fal-metadata":{"endpointId":"fal-ai/ltx-2.3-22b/image-to-video/lora","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a9289ce/XPxxPt7YTRFqdahRCUEa1__tmp_b057-chro-origami-cran.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/ltx-2.3-22b/image-to-video/lora","documentationUrl":"https://fal.ai/models/fal-ai/ltx-2.3-22b/image-to-video/lora/api","about":"Generate a video from an image and text prompt using LoRA."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Ltx2322bImageToVideoLoraInput":{"x-fal-order-properties":["prompt","image_url","end_image_url","num_frames","video_size","generate_audio","use_multiscale","fps","num_inference_steps","video_cfg_scale","video_stg_scale","video_rescaling_scale","video_modality_scale","audio_cfg_scale","audio_stg_scale","audio_rescaling_scale","audio_modality_scale","gradient_estimation_gamma","use_restart_sampling","scheduler","acceleration","camera_lora","camera_lora_scale","negative_prompt","seed","enable_prompt_expansion","enable_safety_checker","video_output_type","video_quality","video_write_mode","sync_mode","loras","distill_lora_first_pass_scale","distill_lora_second_pass_scale","interpolation_direction","image_strength","end_image_strength"],"properties":{"enable_safety_checker":{"description":"Whether to enable the safety checker.","type":"boolean","title":"Enable Safety Checker","default":true},"audio_stg_scale":{"minimum":0,"description":"The Spatiotemporal Guidance (STG) scale for the audio. Higher values result in more consistent and focused audio content.","type":"number","title":"Audio STG Scale","maximum":20,"default":0},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The seed for the random number generator.","title":"Seed"},"image_strength":{"minimum":0,"description":"The strength of the image to use for the video generation.","type":"number","title":"Image Strength","maximum":1,"default":1},"video_quality":{"description":"The quality of the generated video.","type":"string","title":"Video Quality","enum":["low","medium","high","maximum"],"default":"high"},"prompt":{"examples":["A woman stands still amid a busy neon-lit street at night. The camera slowly dollies in toward her face as people blur past, their motion emphasizing her calm presence. City lights flicker and reflections shift across her denim jacket."],"description":"The prompt used for the generation.","type":"string","title":"Prompt"},"negative_prompt":{"description":"The negative prompt to generate the video from.","type":"string","title":"Negative Prompt","default":"news broadcast, 3d animation, computer graphics, pc game, console game, video game, cartoon, childish, watermark, logo, text, on screen text, subtitles, titles, signature, slowmo, static"},"camera_lora_scale":{"minimum":0,"description":"The scale of the camera LoRA to use. This allows you to control the camera movement of the generated video more accurately than just prompting the model to move the camera.","type":"number","title":"Camera LoRA Scale","maximum":1,"default":1},"use_restart_sampling":{"description":"Whether to use restart sampling. This will inject a small amount of noise during each denoising step, which can help improve the quality of the generated video.","type":"boolean","title":"Use Restart Sampling","default":false},"use_multiscale":{"description":"Whether to use multi-scale generation. If True, the model will generate the video at a smaller scale first, then use the smaller video to guide the generation of a video at or above your requested size. This results in better coherence and details.","type":"boolean","title":"Use Multi-Scale","default":true},"video_modality_scale":{"minimum":0,"description":"The modality scale for the video. Controls the ratio between video and audio modalities.","type":"number","title":"Video Modality Scale","maximum":10,"default":3},"num_frames":{"minimum":9,"description":"The number of frames to generate.","type":"integer","title":"Number of Frames","maximum":481,"default":121},"image_url":{"examples":["https://storage.googleapis.com/falserverless/example_inputs/ltxv-2-i2v-input.jpg"],"description":"The URL of the image to generate the video from.","type":"string","title":"Image URL"},"video_stg_scale":{"minimum":0,"description":"The Spatiotemporal Guidance (STG) scale for the video. Higher values result in more consistent and focused video content.","type":"number","title":"Video STG Scale","maximum":20,"default":0},"video_size":{"anyOf":[{"$ref":"#/components/schemas/ImageSize"},{"type":"string","enum":["auto","square_hd","square","portrait_4_3","portrait_16_9","landscape_4_3","landscape_16_9"]}],"description":"The size of the generated video.","default":"auto","title":"Video Size"},"acceleration":{"examples":["regular"],"description":"The acceleration level to use.","type":"string","title":"Acceleration","enum":["none","regular","high","full"],"default":"regular"},"camera_lora":{"examples":["none"],"description":"The camera LoRA to use. This allows you to control the camera movement of the generated video more accurately than just prompting the model to move the camera.","type":"string","title":"Camera LoRA","enum":["dolly_in","dolly_out","dolly_left","dolly_right","jib_up","jib_down","static","none"],"default":"none"},"video_cfg_scale":{"minimum":1,"description":"The Classifier-Free Guidance (CFG) scale for the video. Higher values result in more consistent and focused video content.","type":"number","title":"Video CFG Scale","maximum":20,"default":3},"scheduler":{"examples":["ltx2"],"description":"The scheduler to use.","type":"string","title":"Scheduler","enum":["ltx2","linear_quadratic","beta"],"default":"ltx2"},"audio_modality_scale":{"minimum":0,"description":"The modality scale for the audio. Controls the ratio between video and audio modalities.","type":"number","title":"Audio Modality Scale","maximum":10,"default":3},"distill_lora_second_pass_scale":{"minimum":0,"description":"The scale of the distill LoRA to use for the second and subsequent passes.","type":"number","title":"Distill Lora Second Pass Scale","maximum":1,"default":0.5},"audio_rescaling_scale":{"minimum":0,"description":"The rescaling scale for the audio. Controls the ratio between classifier-free guidance and spatiotemporal guidance.","type":"number","title":"Audio Rescaling Scale","maximum":1,"default":0.7},"end_image_strength":{"minimum":0,"description":"The strength of the end image to use for the video generation.","type":"number","title":"End Image Strength","maximum":1,"default":1},"distill_lora_first_pass_scale":{"minimum":0,"description":"The scale of the distill LoRA to use for the first pass. Set to 0 to disable.","type":"number","title":"Distill Lora First Pass Scale","maximum":1,"default":0.2},"video_rescaling_scale":{"minimum":0,"description":"The rescaling scale for the video. Controls the ratio between classifier-free guidance and spatiotemporal guidance.","type":"number","title":"Video Rescaling Scale","maximum":1,"default":0.7},"interpolation_direction":{"description":"The direction to interpolate the image sequence in. 'Forward' goes from the start image to the end image, 'Backward' goes from the end image to the start image.","type":"string","title":"Interpolation Direction","enum":["forward","backward"],"default":"forward"},"fps":{"minimum":1,"description":"The frames per second of the generated video.","type":"number","title":"FPS","maximum":60,"default":24},"loras":{"description":"The LoRAs to use for the generation.","type":"array","title":"LoRAs","items":{"$ref":"#/components/schemas/LoRAInput"}},"generate_audio":{"description":"Whether to generate audio for the video.","type":"boolean","title":"Generate Audio","default":true},"sync_mode":{"description":"If `True`, the media will be returned as a data URI and the output data won't be available in the request history.","type":"boolean","title":"Sync Mode","default":false},"num_inference_steps":{"minimum":8,"description":"The number of inference steps to use.","type":"integer","title":"Number of Inference Steps","maximum":50,"default":40},"gradient_estimation_gamma":{"minimum":0,"description":"The gamma of gradient estimation during denoising. Set to 0 to disable.","type":"number","title":"Gradient Estimation Gamma","maximum":10,"default":2},"end_image_url":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The URL of the image to use as the end of the video.","title":"End Image URL"},"enable_prompt_expansion":{"description":"Whether to enable prompt expansion.","type":"boolean","title":"Enable Prompt Expansion","default":true},"video_output_type":{"description":"The output type of the generated video.","type":"string","title":"Video Output Type","enum":["X264 (.mp4)","VP9 (.webm)","PRORES4444 (.mov)","GIF (.gif)"],"default":"X264 (.mp4)"},"audio_cfg_scale":{"minimum":1,"description":"The Classifier-Free Guidance (CFG) scale for the audio. Higher values result in more consistent and focused audio content.","type":"number","title":"Audio CFG Scale","maximum":20,"default":7},"video_write_mode":{"description":"The write mode of the generated video.","type":"string","title":"Video Write Mode","enum":["fast","balanced","small"],"default":"balanced"}},"type":"object","required":["loras","prompt","image_url"],"title":"LTX23LoRAImageToVideoInput"},"Ltx2322bImageToVideoLoraOutput":{"x-fal-order-properties":["video","seed","prompt"],"properties":{"prompt":{"examples":["Continue the scene naturally, maintaining the same style and motion."],"description":"The prompt used for the generation.","type":"string","title":"Prompt"},"video":{"examples":[{"width":1248,"fps":25,"url":"https://v3b.fal.media/files/b/0a88289e/CJcQGDrxOSRg2YFl5GNDt_glXPMoji.mp4","height":704,"file_name":"CJcQGDrxOSRg2YFl5GNDt_glXPMoji.mp4","content_type":"video/mp4","duration":10.28,"num_frames":257}],"$ref":"#/components/schemas/VideoFile","description":"The generated video."},"seed":{"examples":[866232447],"description":"The seed used for the random number generator.","type":"integer","title":"Seed"}},"type":"object","required":["video","seed","prompt"],"title":"LTX23ImageToVideoOutput"},"ImageSize":{"x-fal-order-properties":["width","height"],"properties":{"width":{"exclusiveMinimum":0,"description":"The width of the generated image.","type":"integer","title":"Width","maximum":14142,"default":512},"height":{"exclusiveMinimum":0,"description":"The height of the generated image.","type":"integer","title":"Height","maximum":14142,"default":512}},"type":"object","title":"ImageSize"},"LoRAInput":{"x-fal-order-properties":["path","weight_name","scale"],"properties":{"scale":{"minimum":0,"description":"Scale factor for LoRA application (0.0 to 4.0).","type":"number","title":"Scale","maximum":4,"default":1},"path":{"description":"URL, HuggingFace repo ID (owner/repo) to lora weights.","type":"string","title":"Path"},"weight_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Name of the LoRA weight. Only used if `path` is a HuggingFace repository, and is only required when the repository contains multiple LoRA weights.","title":"Weight Name"}},"type":"object","required":["path"],"title":"LoRAInput","description":"LoRA weight configuration."},"VideoFile":{"x-fal-order-properties":["url","content_type","file_name","file_size","width","height","fps","duration","num_frames"],"properties":{"width":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The width of the video","title":"Width"},"fps":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"The FPS of the video","title":"Fps"},"url":{"description":"The URL where the file can be downloaded from.","type":"string","title":"Url"},"file_size":{"examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","title":"File Size"},"height":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The height of the video","title":"Height"},"file_name":{"examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name"},"content_type":{"examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","title":"Content Type"},"duration":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"The duration of the video","title":"Duration"},"num_frames":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The number of frames in the video","title":"Num Frames"}},"type":"object","required":["url"],"title":"VideoFile"}}},"paths":{"/fal-ai/ltx-2.3-22b/image-to-video/lora/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-2.3-22b/image-to-video/lora/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/ltx-2.3-22b/image-to-video/lora":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx2322bImageToVideoLoraInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-2.3-22b/image-to-video/lora/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx2322bImageToVideoLoraOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/sadtalker/reference","metadata":{"display_name":"Sad Talker","category":"image-to-video","description":"Learning Realistic 3D Motion Coefficients for Stylized Audio-Driven Single Image Talking Face Animation","status":"active","tags":["animation"],"updated_at":"2026-01-26T21:44:33.169Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/gallery/sadtalker.jpeg","model_url":"https://fal.run/fal-ai/sadtalker/reference","github_url":"https://github.com/OpenTalker/SadTalker/blob/main/LICENSE","date":"2024-12-20T00:00:00.000Z","group":{"key":"sadtalker","label":"Reference"},"highlighted":false,"pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/sadtalker/reference","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/sadtalker/reference queue.","x-fal-metadata":{"endpointId":"fal-ai/sadtalker/reference","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/gallery/sadtalker.jpeg","playgroundUrl":"https://fal.ai/models/fal-ai/sadtalker/reference","documentationUrl":"https://fal.ai/models/fal-ai/sadtalker/reference/api","about":"Generate Video W Reference"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"SadtalkerReferenceInput":{"properties":{"still_mode":{"title":"Still Mode","default":false,"description":"Whether to use still mode. Fewer head motion, works with preprocess `full`.","type":"boolean"},"preprocess":{"title":"Preprocess","default":"crop","enum":["crop","extcrop","resize","full","extfull"],"description":"The type of preprocessing to use","type":"string"},"face_enhancer":{"anyOf":[{"const":"gfpgan","type":"string"},{"type":"null"}],"title":"Face Enhancer","description":"The type of face enhancer to use","examples":[null]},"face_model_resolution":{"title":"Face Model Resolution","default":"256","enum":["256","512"],"description":"The resolution of the face model","type":"string"},"source_image_url":{"examples":["https://storage.googleapis.com/falserverless/model_tests/sadtalker/anime_girl.png"],"title":"Source Image Url","description":"URL of the source image","type":"string"},"reference_pose_video_url":{"examples":["https://github.com/OpenTalker/SadTalker/raw/main/examples/ref_video/WDA_AlexandriaOcasioCortez_000.mp4"],"title":"Reference Pose Video Url","description":"URL of the reference video","type":"string"},"expression_scale":{"description":"The scale of the expression","maximum":3,"minimum":0,"default":1,"title":"Expression Scale","multipleOf":0.1,"type":"number"},"pose_style":{"maximum":45,"minimum":0,"default":0,"title":"Pose Style","description":"The style of the pose","type":"integer"},"driven_audio_url":{"examples":["https://storage.googleapis.com/falserverless/model_tests/sadtalker/deyu.wav"],"title":"Driven Audio Url","description":"URL of the driven audio","type":"string"}},"title":"SadTalkerRefVideoInput","x-fal-order-properties":["source_image_url","driven_audio_url","reference_pose_video_url","pose_style","face_model_resolution","expression_scale","face_enhancer","still_mode","preprocess"],"required":["source_image_url","driven_audio_url","reference_pose_video_url"],"type":"object"},"SadtalkerReferenceOutput":{"properties":{"video":{"$ref":"#/components/schemas/File","description":"URL of the generated video"}},"title":"SadTalkerOutput","x-fal-order-properties":["video"],"required":["video"],"type":"object"},"File":{"properties":{"url":{"title":"Url","description":"The URL where the file can be downloaded from.","type":"string"},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Content Type","description":"The mime type of the file.","examples":["image/png"]},"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"File Name","description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"]},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"File Size","description":"The size of the file in bytes.","examples":[4404019]}},"title":"File","x-fal-order-properties":["url","content_type","file_name","file_size"],"required":["url"],"type":"object"}}},"paths":{"/fal-ai/sadtalker/reference/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/sadtalker/reference/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/sadtalker/reference":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SadtalkerReferenceInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/sadtalker/reference/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SadtalkerReferenceOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/ltx-2.3-22b/distilled/image-to-video/lora","metadata":{"display_name":"LTX-2.3 22B Distilled","category":"image-to-video","description":"Generate video with audio from images using LTX-2.3 Distilled and custom LoRA","status":"active","tags":[],"updated_at":"2026-07-13T19:05:24.786Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9289ce/20zCxq0nC6akyUyph0bID__tmp_b066-silk-cactus-bloom.jpg","model_url":"https://fal.run/fal-ai/ltx-2.3-22b/distilled/image-to-video/lora","license_type":"commercial","date":"2026-03-14T02:35:36.066Z","group":{"key":"ltx-2.3-22b-distilled","label":"Image to Video with LoRA"},"highlighted":false,"kind":"inference","pinned":false,"training_endpoint_ids":["fal-ai/ltx23-video-trainer"]},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/ltx-2.3-22b/distilled/image-to-video/lora","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/ltx-2.3-22b/distilled/image-to-video/lora queue.","x-fal-metadata":{"endpointId":"fal-ai/ltx-2.3-22b/distilled/image-to-video/lora","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a9289ce/20zCxq0nC6akyUyph0bID__tmp_b066-silk-cactus-bloom.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/ltx-2.3-22b/distilled/image-to-video/lora","documentationUrl":"https://fal.ai/models/fal-ai/ltx-2.3-22b/distilled/image-to-video/lora/api","about":"Generate a video from an image and text prompt using distilled LoRA."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Ltx2322bDistilledImageToVideoLoraInput":{"x-fal-order-properties":["prompt","image_url","end_image_url","num_frames","video_size","generate_audio","use_multiscale","fps","scheduler","acceleration","camera_lora","camera_lora_scale","negative_prompt","seed","enable_prompt_expansion","enable_safety_checker","video_output_type","video_quality","video_write_mode","sync_mode","loras","distill_lora_second_pass_scale","interpolation_direction","image_strength","end_image_strength"],"properties":{"enable_safety_checker":{"description":"Whether to enable the safety checker.","type":"boolean","title":"Enable Safety Checker","default":true},"camera_lora":{"examples":["none"],"description":"The camera LoRA to use. This allows you to control the camera movement of the generated video more accurately than just prompting the model to move the camera.","type":"string","title":"Camera LoRA","enum":["dolly_in","dolly_out","dolly_left","dolly_right","jib_up","jib_down","static","none"],"default":"none"},"scheduler":{"examples":["ltx2"],"description":"The scheduler to use.","type":"string","title":"Scheduler","enum":["ltx2","linear_quadratic","beta"],"default":"ltx2"},"distill_lora_second_pass_scale":{"minimum":0,"description":"The scale of the distill LoRA to use for the second and subsequent passes.","type":"number","title":"Distill Lora Second Pass Scale","maximum":1,"default":0.5},"end_image_strength":{"minimum":0,"description":"The strength of the end image to use for the video generation.","type":"number","title":"End Image Strength","maximum":1,"default":1},"image_strength":{"minimum":0,"description":"The strength of the image to use for the video generation.","type":"number","title":"Image Strength","maximum":1,"default":1},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The seed for the random number generator.","title":"Seed"},"video_quality":{"description":"The quality of the generated video.","type":"string","title":"Video Quality","enum":["low","medium","high","maximum"],"default":"high"},"negative_prompt":{"description":"The negative prompt to generate the video from.","type":"string","title":"Negative Prompt","default":"news broadcast, 3d animation, computer graphics, pc game, console game, video game, cartoon, childish, watermark, logo, text, on screen text, subtitles, titles, signature, slowmo, static"},"prompt":{"examples":["A woman stands still amid a busy neon-lit street at night. The camera slowly dollies in toward her face as people blur past, their motion emphasizing her calm presence. City lights flicker and reflections shift across her denim jacket."],"description":"The prompt used for the generation.","type":"string","title":"Prompt"},"image_url":{"examples":["https://storage.googleapis.com/falserverless/example_inputs/ltxv-2-i2v-input.jpg"],"description":"The URL of the image to generate the video from.","type":"string","title":"Image URL"},"fps":{"minimum":1,"description":"The frames per second of the generated video.","type":"number","title":"FPS","maximum":60,"default":24},"use_multiscale":{"description":"Whether to use multi-scale generation. If True, the model will generate the video at a smaller scale first, then use the smaller video to guide the generation of a video at or above your requested size. This results in better coherence and details.","type":"boolean","title":"Use Multi-Scale","default":true},"loras":{"description":"The LoRAs to use for the generation.","type":"array","title":"LoRAs","items":{"$ref":"#/components/schemas/LoRAInput"}},"camera_lora_scale":{"minimum":0,"description":"The scale of the camera LoRA to use. This allows you to control the camera movement of the generated video more accurately than just prompting the model to move the camera.","type":"number","title":"Camera LoRA Scale","maximum":1,"default":1},"sync_mode":{"description":"If `True`, the media will be returned as a data URI and the output data won't be available in the request history.","type":"boolean","title":"Sync Mode","default":false},"num_frames":{"minimum":9,"description":"The number of frames to generate.","type":"integer","title":"Number of Frames","maximum":481,"default":121},"video_size":{"anyOf":[{"$ref":"#/components/schemas/ImageSize"},{"type":"string","enum":["auto","square_hd","square","portrait_4_3","portrait_16_9","landscape_4_3","landscape_16_9"]}],"description":"The size of the generated video.","default":"auto","title":"Video Size"},"end_image_url":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The URL of the image to use as the end of the video.","title":"End Image URL"},"interpolation_direction":{"description":"The direction to interpolate the image sequence in. 'Forward' goes from the start image to the end image, 'Backward' goes from the end image to the start image.","type":"string","title":"Interpolation Direction","enum":["forward","backward"],"default":"forward"},"acceleration":{"examples":["none"],"description":"The acceleration level to use.","type":"string","title":"Acceleration","enum":["none","regular","high","full"],"default":"none"},"generate_audio":{"description":"Whether to generate audio for the video.","type":"boolean","title":"Generate Audio","default":true},"enable_prompt_expansion":{"description":"Whether to enable prompt expansion.","type":"boolean","title":"Enable Prompt Expansion","default":true},"video_output_type":{"description":"The output type of the generated video.","type":"string","title":"Video Output Type","enum":["X264 (.mp4)","VP9 (.webm)","PRORES4444 (.mov)","GIF (.gif)"],"default":"X264 (.mp4)"},"video_write_mode":{"description":"The write mode of the generated video.","type":"string","title":"Video Write Mode","enum":["fast","balanced","small"],"default":"balanced"}},"type":"object","required":["loras","prompt","image_url"],"title":"LTX23LoRADistilledImageToVideoInput"},"Ltx2322bDistilledImageToVideoLoraOutput":{"x-fal-order-properties":["video","seed","prompt"],"properties":{"prompt":{"examples":["Continue the scene naturally, maintaining the same style and motion."],"description":"The prompt used for the generation.","type":"string","title":"Prompt"},"video":{"examples":[{"width":1248,"fps":25,"url":"https://v3b.fal.media/files/b/0a88289e/CJcQGDrxOSRg2YFl5GNDt_glXPMoji.mp4","height":704,"file_name":"CJcQGDrxOSRg2YFl5GNDt_glXPMoji.mp4","content_type":"video/mp4","duration":10.28,"num_frames":257}],"$ref":"#/components/schemas/VideoFile","description":"The generated video."},"seed":{"examples":[866232447],"description":"The seed used for the random number generator.","type":"integer","title":"Seed"}},"type":"object","required":["video","seed","prompt"],"title":"LTX23ImageToVideoOutput"},"LoRAInput":{"x-fal-order-properties":["path","weight_name","scale"],"properties":{"scale":{"minimum":0,"description":"Scale factor for LoRA application (0.0 to 4.0).","type":"number","title":"Scale","maximum":4,"default":1},"path":{"description":"URL, HuggingFace repo ID (owner/repo) to lora weights.","type":"string","title":"Path"},"weight_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Name of the LoRA weight. Only used if `path` is a HuggingFace repository, and is only required when the repository contains multiple LoRA weights.","title":"Weight Name"}},"type":"object","required":["path"],"title":"LoRAInput","description":"LoRA weight configuration."},"ImageSize":{"x-fal-order-properties":["width","height"],"properties":{"width":{"exclusiveMinimum":0,"description":"The width of the generated image.","type":"integer","title":"Width","maximum":14142,"default":512},"height":{"exclusiveMinimum":0,"description":"The height of the generated image.","type":"integer","title":"Height","maximum":14142,"default":512}},"type":"object","title":"ImageSize"},"VideoFile":{"x-fal-order-properties":["url","content_type","file_name","file_size","width","height","fps","duration","num_frames"],"properties":{"width":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The width of the video","title":"Width"},"fps":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"The FPS of the video","title":"Fps"},"url":{"description":"The URL where the file can be downloaded from.","type":"string","title":"Url"},"file_size":{"examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","title":"File Size"},"height":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The height of the video","title":"Height"},"file_name":{"examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name"},"content_type":{"examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","title":"Content Type"},"duration":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"The duration of the video","title":"Duration"},"num_frames":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The number of frames in the video","title":"Num Frames"}},"type":"object","required":["url"],"title":"VideoFile"}}},"paths":{"/fal-ai/ltx-2.3-22b/distilled/image-to-video/lora/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-2.3-22b/distilled/image-to-video/lora/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/ltx-2.3-22b/distilled/image-to-video/lora":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx2322bDistilledImageToVideoLoraInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-2.3-22b/distilled/image-to-video/lora/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx2322bDistilledImageToVideoLoraOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/pika/v2/turbo/image-to-video","metadata":{"display_name":"Pika Image to Video Turbo (v2)","category":"image-to-video","description":"Turbo is the model to use when you feel the need for speed. Turn your image to stunning video up to 3x faster – all with high quality outputs. ","status":"active","tags":["editing","effects","animation"],"updated_at":"2026-04-21T17:52:47.475Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/panda/izszWyAu5LZ56Z-ZK63x5_1c8004b9a1054d0d849848569196d293.jpg","model_url":"https://fal.run/fal-ai/pika/v2/turbo/image-to-video","license_type":"commercial","date":"2025-03-14T00:00:00.000Z","group":{"key":"pika","label":"Image to Video Turbo (v2)"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/pika/v2/turbo/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/pika/v2/turbo/image-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/pika/v2/turbo/image-to-video","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/panda/izszWyAu5LZ56Z-ZK63x5_1c8004b9a1054d0d849848569196d293.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/pika/v2/turbo/image-to-video","documentationUrl":"https://fal.ai/models/fal-ai/pika/v2/turbo/image-to-video/api","about":"Pika Turbo Image-to-Video Generation.\n\nGenerates a video from an initial image and text prompt using the Pika Turbo model."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"PikaV2TurboImageToVideoInput":{"title":"ImageToVideoTurboInput","properties":{"seed":{"title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The seed for the random number generator"},"image_url":{"title":"Image Url","examples":["https://storage.googleapis.com/falserverless/example_inputs/pika/pika_i2v_v2_turbo_input.png"],"type":"string"},"prompt":{"title":"Prompt","examples":["Camera slow dolly out"],"type":"string"},"negative_prompt":{"default":"","title":"Negative Prompt","type":"string","description":"A negative prompt to guide the model"},"duration":{"default":5,"title":"Duration","type":"integer","description":"The duration of the generated video in seconds"},"resolution":{"default":"720p","title":"Resolution","enum":["720p","1080p"],"type":"string","description":"The resolution of the generated video"}},"required":["prompt","image_url"],"type":"object","x-fal-order-properties":["image_url","prompt","seed","negative_prompt","resolution","duration"]},"PikaV2TurboImageToVideoOutput":{"title":"TurboImageToVideoOutput","properties":{"video":{"$ref":"#/components/schemas/File","examples":[{"url":"https://storage.googleapis.com/falserverless/example_outputs/pika/pika_i2v_v2_turbo_output.mp4"}],"description":"The generated video"}},"required":["video"],"type":"object","x-fal-order-properties":["video"]},"File":{"title":"File","properties":{"content_type":{"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","examples":["image/png"]},"file_size":{"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","examples":[4404019]},"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"file_name":{"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"]}},"required":["url"],"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"]}}},"paths":{"/fal-ai/pika/v2/turbo/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pika/v2/turbo/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/pika/v2/turbo/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PikaV2TurboImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pika/v2/turbo/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PikaV2TurboImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"bytedance/lynx","metadata":{"display_name":"Lynx","category":"image-to-video","description":"Generate subject consistent videos using Lynx from ByteDance!","status":"active","tags":["image-to-video","subject"],"updated_at":"2026-04-26T21:40:58.789Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/lion/46Az_CH4LkzpoBBIJYiSf_c6c1e1cb386b4e30b7c0e8eee627379c.jpg","model_url":"https://fal.run/bytedance/lynx","license_type":"commercial","date":"2025-11-18T01:53:22.544Z","highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for bytedance/lynx","version":"1.0.0","description":"The OpenAPI schema for the bytedance/lynx queue.","x-fal-metadata":{"endpointId":"bytedance/lynx","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/lion/46Az_CH4LkzpoBBIJYiSf_c6c1e1cb386b4e30b7c0e8eee627379c.jpg","playgroundUrl":"https://fal.ai/models/bytedance/lynx","documentationUrl":"https://fal.ai/models/bytedance/lynx/api","about":"Generate"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"LynxInput":{"x-fal-order-properties":["image_url","prompt","negative_prompt","num_inference_steps","seed","resolution","aspect_ratio","ip_scale","strength","frames_per_second","guidance_scale","guidance_scale_2","num_frames"],"properties":{"strength":{"minimum":0,"description":"Reference image scale. Controls the influence of the reference image on the generated video.","type":"number","title":"Strength","maximum":2,"default":1},"aspect_ratio":{"description":"Aspect ratio of the generated video (16:9, 9:16, or 1:1)","type":"string","enum":["16:9","9:16","1:1"],"title":"Aspect Ratio","default":"16:9"},"guidance_scale_2":{"minimum":0,"description":"Image guidance scale. Controls how closely the generated video follows the reference image. Higher values increase adherence to the reference image but may decrease quality.","type":"number","title":"Guidance Scale 2","maximum":10,"default":2},"num_frames":{"minimum":9,"description":"Number of frames in the generated video. Must be between 9 to 100.","type":"integer","title":"Num Frames","maximum":81,"default":81},"resolution":{"description":"Resolution of the generated video (480p, 580p, or 720p)","type":"string","enum":["480p","580p","720p"],"title":"Resolution","default":"720p"},"num_inference_steps":{"minimum":1,"description":"Number of inference steps for sampling. Higher values give better quality but take longer.","type":"integer","title":"Num Inference Steps","maximum":75,"default":50},"frames_per_second":{"minimum":5,"description":"Frames per second of the generated video. Must be between 5 to 30.","type":"integer","title":"Frames Per Second","maximum":30,"default":16},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Random seed for reproducibility. If None, a random seed is chosen.","title":"Seed"},"prompt":{"examples":["A person carves a pumpkin on a porch in the evening. The camera captures their upper body as they draw a face with a marker, carefully cut along the lines, then lift the lid with both hands. Their face lights up with excitement as they peek inside"],"description":"Text prompt to guide video generation","type":"string","title":"Prompt"},"negative_prompt":{"description":"Negative prompt to guide what should not appear in the generated video","type":"string","title":"Negative Prompt","default":"Bright tones, overexposed, blurred background, static, subtitles, style, works, paintings, images, overall gray, worst quality, low quality, JPEG compression residue, ugly, incomplete, extra fingers, poorly drawn hands, poorly drawn faces, deformed, disfigured, misshapen limbs, fused fingers, still picture, messy background, three legs, many people in the background, walking backwards"},"guidance_scale":{"minimum":1,"description":"Classifier-free guidance scale. Higher values give better adherence to the prompt but may decrease quality.","type":"number","title":"Guidance Scale","maximum":20,"default":5},"ip_scale":{"minimum":0,"description":"Identity preservation scale. Controls how closely the generated video preserves the subject's identity from the reference image.","type":"number","title":"Ip Scale","maximum":2,"default":1},"image_url":{"examples":["https://storage.googleapis.com/falserverless/example_inputs/lynx/example_in.png"],"description":"The URL of the subject image to be used for video generation","type":"string","title":"Image Url"}},"type":"object","required":["image_url","prompt"],"title":"LynxInput"},"LynxOutput":{"x-fal-order-properties":["video","seed"],"properties":{"video":{"examples":[{"url":"https://storage.googleapis.com/falserverless/example_outputs/lynx/example_out.mp4","content_type":"video/mp4"}],"$ref":"#/components/schemas/VideoFile","description":"The generated video file"},"seed":{"description":"The seed used for generation","type":"integer","title":"Seed"}},"type":"object","required":["video","seed"],"title":"LynxOutput"},"VideoFile":{"x-fal-order-properties":["url","content_type","file_name","file_size","width","height","fps","duration","num_frames"],"properties":{"file_size":{"examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","title":"File Size"},"fps":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"The FPS of the video","title":"Fps"},"url":{"description":"The URL where the file can be downloaded from.","type":"string","title":"Url"},"width":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The width of the video","title":"Width"},"content_type":{"examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","title":"Content Type"},"file_name":{"examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name"},"height":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The height of the video","title":"Height"},"duration":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"The duration of the video","title":"Duration"},"num_frames":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The number of frames in the video","title":"Num Frames"}},"type":"object","required":["url"],"title":"VideoFile"}}},"paths":{"/bytedance/lynx/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/bytedance/lynx/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/bytedance/lynx":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LynxInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/bytedance/lynx/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LynxOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}}],"next_cursor":"MjE","has_more":true}
